Name: H5Tget_fields
Signature:
  herr_t `H5Tget_fields`(hid_t `type_id`, size_t *`spos`, size_t *`epos`, size_t *`esize`, size_t *`mpos`, size_t *`msize` )
Purpose:
  Retrieves floating point datatype bit field information.
Description:
  `H5Tget_fields` retrieves information about the locations of the various bit fields of a floating point datatype. The field positions are bit positions in the significant region of the datatype. Bits are numbered with the least significant bit number zero. Any (or even all) of the arguments can be null pointers.
Parameters:

hid_t `type_id` | IN: Identifier of datatype to query.
size_t *`spos` | OUT: Pointer to location to return floating-point sign bit.
size_t *`epos` | OUT: Pointer to location to return exponent bit-position.
size_t *`esize` | OUT: Pointer to location to return size of exponent in bits.
size_t *`mpos` | OUT: Pointer to location to return mantissa bit-position.
size_t *`msize` | OUT: Pointer to location to return size of mantissa in bits.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5tget_fields_f

      SUBROUTINE h5tget_fields_f(type_id, epos, esize, mpos, msize, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id ! Datatype identifier
        INTEGER, INTENT(OUT) :: epos          ! Exponent bit-position
        INTEGER, INTENT(OUT) :: esize         ! Size of exponent in bits
        INTEGER, INTENT(OUT) :: mpos          ! Mantissa bit-position
        INTEGER, INTENT(OUT) :: msize         ! Size of mantissa in bits
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
      END SUBROUTINE h5tget_fields_f